UIPackage
Menu

Framework

Change language

Boilerplate repo

Label

labelui

Accessible label primitive — wraps text and binds to its child input via `htmlFor`. Disabled-state styling and proper screen-reader behavior.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/label.json
Named registry:npx shadcn@latest add @uipkge-react/labelInstalls to:components/ui/label/

Examples

Loading interactive previews…

npm dependencies

Used by

Files installed (2)

  • components/ui/label/Label.tsx0.7 kB
    'use client'
    
    import * as React from 'react'
    import * as LabelPrimitive from '@radix-ui/react-label'
    import { cn } from '@/lib/utils'
    
    const Label = React.forwardRef<
      React.ElementRef<typeof LabelPrimitive.Root>,
      React.ComponentPropsWithoutRef<typeof LabelPrimitive.Root>
    >(({ className, ...props }, ref) => (
      <LabelPrimitive.Root
        ref={ref}
        data-uipkge=""
        data-slot="label"
        className={cn(
          'flex items-center gap-2 text-sm leading-none font-medium select-none group-data-[disabled=true]:pointer-events-none group-data-[disabled=true]:opacity-50 peer-disabled:cursor-not-allowed peer-disabled:opacity-50',
          className,
        )}
        {...props}
      />
    ))
    Label.displayName = LabelPrimitive.Root.displayName
    
    export { Label }
    
  • components/ui/label/index.ts0 kB

Raw manifest:https://uipkge.dev/r/react/label.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Label

labelui

Accessible label primitive — wraps text and binds to its child input via `for`. Disabled-state styling, optional required-asterisk, and proper screen-reader behavior.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/label.json
Named registry:npx shadcn-vue@latest add @uipkge/labelInstalls to:app/components/ui/label/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
classHTMLAttributes['class']optional

npm dependencies

Used by

Files installed (2)

  • app/components/ui/label/Label.vue0.8 kB
    <script setup lang="ts">
    import type { LabelProps } from 'reka-ui'
    import type { HTMLAttributes } from 'vue'
    import { reactiveOmit } from '@vueuse/core'
    import { Label } from 'reka-ui'
    import { cn } from '@/lib/utils'
    
    const props = defineProps<LabelProps & { class?: HTMLAttributes['class'] }>()
    
    const delegatedProps = reactiveOmit(props, 'class')
    </script>
    
    <template>
      <Label
        data-uipkge
        data-slot="label"
        v-bind="delegatedProps"
        :class="
          cn(
            'flex items-center gap-2 text-sm leading-none font-medium select-none group-data-[disabled=true]:pointer-events-none group-data-[disabled=true]:opacity-50 peer-disabled:cursor-not-allowed peer-disabled:opacity-50',
            props.class,
          )
        "
      >
        <slot />
      </Label>
    </template>
    
  • app/components/ui/label/index.ts0 kB

Raw manifest:https://uipkge.dev/r/vue/label.json